Add some basic package installation

This commit is contained in:
Salt 2019-06-06 16:59:38 -05:00
parent 29f201d933
commit 38e8b29eec

View File

@ -53,12 +53,16 @@ step_validate_logs() {
step_validate_deps() {
# Ensure we have the proper dependencies
log "Validating dependencies"
local nodeps=0
for dep in $deps; do
if ! validatedep "$dep"; then
log "Could not find critical dependency \"$dep\"" 2
return 1
nodeps=1
fi
done
if [ "$nodeps" == "1" ]; then
return 1
fi
}
step_make_skeleton() {
# Build Home folder skeleton
@ -97,6 +101,27 @@ step_dot_update() {
git --git-dir="$gitdir" --work-tree="$bootstrapdir" config status.showUntrackedFiles no >> "$logfile"
} >> "$logfile" 2>&1
}
step_deb_install() {
(
source "/etc/os-release" || exit 1
[ "$ID" == "debian" ] || exit 1
) || return 1
log "Installing required Debian packages"
log "You will be prompted to elevate privileges"
if ! sudo echo "Privileges elevated"; then
log "Permissions elevation failed"
return 2
fi
[ "$(uname -m)" == "x86_64" ] && sudo dpkg --add-architecture i386
sudo apt update
sudo apt dist-upgrade -y
sudo apt install -y \
arc-theme breeze-cursor-theme conky curl dunst firefox-esr liferea lightdm mate preload rofi syncthing-gtk thunderbird tint2 virt-manager
[ "$(uname -m)" == "x86_64" ] && sudo apt install -y \
steam
sudo apt purge -y \
mate-notification-daemon
}
## Main
main() {
@ -160,6 +185,7 @@ main() {
step_repo_clone || exit $?
step_repo_move || exit $?
step_dot_update || exit $?
step_deb_install
log "Dotfiles set up successfully"
exit 0
}